@charset "UTF-8";

:root {
    --brown-color: #6F5436;
}

body {
    font-family: -apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Helvetica Neue, Arial, Noto Sans, sans-serif, Apple Color Emoji, Segoe UI Emoji, Segoe UI Symbol, Noto Color Emoji;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #333;
    background-color: #fff;
    -webkit-font-smoothing: antialiased;
}

img {
    vertical-align: top;
}

*,
*:before,
*:after {
    box-sizing: inherit;
}

html {
    box-sizing: border-box;
    scroll-behavior: smooth;
}

.loading__left,
.loading__right {
    position: fixed;
    top: 0;
    width: 50%;
    height: 100%;
    background: black;
    z-index: 9999;
}

.loading__left {
    left: 0;
}
.loading__right {
    left: 50%;
}
.loading__logo {
    position: fixed;
    top: 0;
    left: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
    opacity: 0.6;
    z-index: 10000;
    pointer-events: none;
}
.loading__logo__img {
    max-width: 200px;
    height: auto;
}

/*-------------------------
    header
-------------------------*/
.header__wrap {
    width: 100%;
    position: relative;
    display: flex;
    align-items: center;
    background: white;
}
.header__spBar {
    flex: 1;
    display: none;
    text-align: right;
    font-size: 25px;
    color: #946C45;
}
.header__spBar i {
    cursor: pointer;

}
.header__btn {
    display: inline-block;
}
.header__btn .fa-times {
    display: none;
}
.header__btn.active .fa-times {
    display: block;
}
.header__btn.active .fa-bars {
    display: none;
}
.header__title {
    display: flex;
    align-items: center;
    justify-content: center;
}
.header__logo {
    padding: 10px;
}
.header__nav__items {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    margin-right: 50px;
}
.header__nav__link {
    position: relative;
    display: flex;
    align-items: center;
    color: #00008b;
    fill: #00008b;
    font-family: "Noto Serif", Sans-serif;
    font-size: 25px;
    font-weight: 700;
    font-style: italic;
    letter-spacing: 0.5px;
    padding: 13px 20px;
    text-decoration: none;
    transition: color .4s;
}
.header__nav__link:hover {
    color: #E3BC6D;
    fill: #E3BC6D;
}
.header__nav__link:after {
    content: "";
    display: block;
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 3px;
    background: white;
    transition: background .4s;
}
.header__nav__link:hover:after {
    background:#E3BC6D;
}
.header__nav__item:not(:last-child) .header__nav__link {
    -webkit-margin-inline-end: 22.5px;
    margin-inline-end: 22.5px;
}
.header__nav__item:not(:first-child) .header__nav__link {
    -webkit-margin-inline-start: 22.5px;
    margin-inline-start: 22.5px;
}


/*-------------------------
    footer
-------------------------*/
.footer__wrap {
    display: flex;
    flex-direction: column;
    max-width: 1140px;
    margin: 0 auto;
    text-align: center;
}
.footer__logo {
    width: 15%;
    margin: 0 auto 20px;
}
.footer__logo__img {
    width: 100%;
    height: 100%;
}
.footer__items {
    display: flex;
    margin: 0 auto 20px;
    align-items: center;
}
.footer__item:not(:last-child):after {
    content: "";
    border-right: 1px solid #bcbcbc;
}
.footer__link {
    padding: 13px 20px;
    color: #644c3c;
    fill: #644c3c;
    font-family: "Noto Serif", Sans-serif;
    font-size: 12px;
    font-weight: 400;
    text-decoration: none;
    border-bottom: 3px solid white;
    transition: all .4s;
}
.footer__link:hover {
    color: #E3BC6D;
    border-bottom: 3px solid #E3BC6D;
}
.footer__copy {
    margin: 10px;
    color: #54595f;
    font-family: "Noto Serif", Sans-serif;
    font-size: 11px;
    font-weight: 400;
    line-height: 1.5em;
    letter-spacing: 1px;
}

@media only screen and (max-width: 1024px) {
    header {
        position: sticky;
        top: 0;
        left: 0;
        z-index: 5;
    }
    .header__nav {
        position: absolute;
        top: 0;
        left:0;
        width: 100%;
        background: white;
        display: none;
        z-index: 7;
    }
    .header__nav__items {
        flex-direction: column;
        margin-right: 0;
    }
    .header__nav__item {
        width: 100%;
    }
    .header__spBar {
        display: block;
        margin: 0 50px 0 auto;
    }
    .header__nav__link {
        display: block;
        font-family: "Nunito", Sans-serif;
        font-size: 0.87em;
        color: #946C45;
        text-align: center;
    }
    .header__nav__link:after {
        display: none;
    }
    .header__nav__link:hover {
        color: white;
        background: #946C45;
    }
    .header__nav__item:not(:last-child) .header__nav__link {
        margin-inline: 0;
    }
    .header__nav__item:not(:first-child) .header__nav__link {
        margin-inline: 0;
    }
}

@media only screen and (min-width: 768px) {
    .header__logo {
        width: 30%;
    }
    .header__logo__img {
        width: 32%;
        height: auto;
    }
    .header__nav {
        flex: 1;
    }
}

@media only screen and (max-width: 767px) {
    .header__logo {
        width: 50%;
    }
    .header__logo__img {
        width: 60%;
        height: 100%;
    }
    .header__spBar {
        display: block;
        margin: 0 30px 0 auto;
    }
    .footer__link {
        font-size: 12px;
        line-height: 0.3em;
        letter-spacing: -0.5px;
        word-spacing: 0em;
    }
    .footer__logo {
        width: 30%;
    }
}
